const MApplication = Java.type("org.makagiga.commons.MApplication");
const UI           = Java.type("org.makagiga.commons.UI");
const Input        = Java.type("org.makagiga.commons.swing.Input");

let owner = UI.windowFor(null);

new Input.GetTextBuilder()
	.allowEmptyText(true)
	.label("Search for:")
	//.multiline(true) // multiline text area
	.text("Makagiga") // initial value
	.title("DuckDuckGo Search")
	.getResult(owner) // show dialog
	.ifPresent(searchQuery => {
		if (searchQuery.isEmpty()) {
			MApplication.openURI("https://duckduckgo.com/"); // open without parameters
		}
		else {
			MApplication.openURI(
				"https://duckduckgo.com/?q={0}", // {1} = 2nd array element, etc.
				[searchQuery] // array with one element (mapped to {0}); automatically percent-escaped
			);
		}
	} );
