const JTextComponent = Java.type("javax.swing.text.JTextComponent");
const Tabs           = Java.type("org.makagiga.Tabs");
const UI             = Java.type("org.makagiga.commons.UI");
const Input          = Java.type("org.makagiga.commons.swing.Input");

let core = Tabs.getInstance()
	.selectedTab
	.core; // main component

if (core instanceof JTextComponent) {
	let text = core.text;
	//let text = core.selectedText;
	new Input.GetTextBuilder()
		.multiline(true)
		.text(text)
		.title("Text in the active Tab")
		.getResult(UI.windowFor(null));
}
