const MainWindow = Java.type("org.makagiga.MainWindow");
const UI         = Java.type("org.makagiga.commons.UI");
const Input      = Java.type("org.makagiga.commons.swing.Input");

let widget = MainWindow.instance
	.desktop
	.selectedWidget
	.orElse(null);

if (widget && widget.textComponent) {
	new Input.GetTextBuilder()
		.editable(false)
		.multiline(true)
		.text(widget.textComponent.selectedText)
		.title("Selected Text")
		.getResult(UI.windowFor(null));
}
